html{
    font-family: Arial, Helvetica, sans-serif;
    color:white;
    background-color: rgb(0, 0, 0);
}
body, html{
    padding: 0px;
    margin: 0;
    border: 0px;
    min-height: 100%;
    min-width: 100%;
    max-width: 100%;
    overflow:hidden;
}
body{
    background-color: rgb(0, 0, 0);
}
.container{
    display: flex;
    background-color: rgb(10, 0, 0);
    height: 85vh;
    flex-direction: column-reverse;
    margin:10px;
    overflow-y: scroll;
    overflow-x: hidden;
}
p{
    float: left;
    padding: 10px;
    border-radius: 20px;
    width: max-content;
    background-color: rgb(65, 64, 64);
    margin-bottom: 0px;
    margin-left: 20px;
}
.messages{
    display: flex;
    flex-direction: column;
    margin: 30px;
}
.user{
    float: right;
    background-color: rgb(115, 115, 253);
    text-align: right;
    margin-left: 0px;
    margin-right: 20px;
}
.text{
    margin: 10px 0 10px 0;
    display: flex;
    flex-direction: row;
    height: calc(100vh - 90vh);
    justify-content: space-between;
    align-items: center;
    margin-left: 20px;
    margin-right:20px;
}
input{
    width:100%;
    background-color: rgb(163, 163, 163);
    height: 20%;
    border-radius: 50vh;
    padding:10px;
}

.timeInfo{
    background-color: black;
    font-size: x-small;
    margin-top: 0px;
    width: 100%;
}
button{
    margin-left: 5px;
    height: 6vh;
    border: none;
    width: 12vh;
    text-align: center;
    padding:10px;
    border-radius: 50%;
    background-color: #902eff;
    color:white;
    cursor: pointer;
}
button:active {
    background-color: rgb(115, 115, 253);
    transform: translateY(4px);
}
img{
    width: 20px;
    height: 20px;
}
::-webkit-scrollbar {
    width: 2px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1; 
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #888; 
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555; 
  }

  @media(min-width: 950px) 
    {
        p{
            margin-left:50px
        }
        .user{
            margin-left: 0px;
            margin-right: 50px;
        }
      
        .text{
            margin-left: 50px;
            margin-right:50px;
        }
      
    }
    @media(min-width: 680px){
        input{
            width: 680px;
        }
        .text{
            justify-content: center;
        }
    }